Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(<syntaxhighlight>)
(Updating to match new version of source page)
Line 1: Line 1:
=Ligne=
+
{{GuiCommand|Name=Draft Line|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Line|Shortcut=L I|SeeAlso=[[Draft Wire]]}}
{{GuiCommand/fr|Name=Draft Line|Name/fr=Ligne|Workbenches=[[Draft Module/fr|Planche à dessin (2d Draft)]]|MenuLocation=Draft → Ligne|Shortcut=L I|SeeAlso=[[Draft Wire/fr|Filaire]]}}
+
 
 
==Description==
 
==Description==
Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le [[Draft_Workingplane/fr| plan de travail courant]] [[File:Draft_Workingplane.png|480px|24px]]. Il prend la largeur  et la couleur préalablement [[Draft_Linestyle/fr|définies]] sur l'onglet Tâches ou à partir de la barre d'outils "d'application de Style" [[Image:Draft Style 01.png|192px]] (voir plus de [[#Plan et Style|détails]] en bas).<br>
+
The Line tool creates a straight, two-points line in the current [[Draft Workingplane|work plane]]. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab. The Line tool behaves exactly like the [[Draft Wire]] tool, except that it stops after two points.
L'outil ligne se comporte comme une [[Draft_Wire/fr|polyline (Draft Wire)]] [[File:Draft_Wire.png|16px]] à la différence qu'il s'arrête au bout deux points. Les points peuvent être choisis à l'aide de la souris dans la vue modèle 3D, ou bien par la saisie de coordonnées à l'aide du clavier.
 
<br>
 
[[File:Draft_Line_example.jpg|480px]]
 
<br>
 
{{clear}}
 
==Utilisation==
 
<br>
 
# Cliquez sur le bouton {{KEY|[[Image:Draft Line.png|24px]] [[Draft Line/fr|Draft Line]]}} ou pressez sur les touches {{KEY|L}} puis {{KEY|I}}
 
# Cliquez le premier point dans la vue 3D view, ou entrez les [[Draft_Coordinates/fr|coordonnées]]
 
# Cliquez le deuxième point dans la vue 3D view, ou entrez les [[Draft_Coordinates/fr|coordonnées]]
 
<br>
 
==Options==
 
<br>
 
[[Image:Draft Style 02.png]]
 
<br>
 
* Pour entrer les coordonnées manuellement, entrez chaque composante,''' {{KEY|X}}, {{KEY|Y}} et {{KEY|Z}}''' et appuyez simplement sur {{KEY|​​ENTRER}}.
 
* Appuyez sur {{KEY|R}} ou cliquez sur la case à cocher/décocher du "'''{{KEY|mode relatif}}'''". Si le '''{{KEY|mode relatif}}''' est activé, les coordonnées du second point sont par rapport à la première. Si non, ils sont absolus, prises à partir du point d'origine '''(0,0,0)'''.
 
* Appuyez sur {{KEY|T}} ou cliquez sur la case à cocher/décocher '''{{KEY|continuer}}'''. Si le mode '''{{KEY|continuer}}''' est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur la touche ligne [[Image:Draft Line.png|16px]].
 
* Sélectionner un point dans une zone vide de la vue modèle 3D, ou sur un objet existant.
 
* Appuyer sur {{KEY|CTRL}} [[Draft_Snap/fr|accroche]] le point sur un emplacement d'accrochage disponible, indépendamment de la longueur.
 
* Appuyer sur {{KEY|SHIFT}} [[Draft_Constrain/fr|contraint]] le nouveau point en relation au point précédent.
 
* Saisir des valeurs numériques [[Draft_Coordinates/fr|insère une coordonnée manuellement]].
 
* Appuyer sur {{KEY|CTRL}}+{{KEY|Z}} ou sur le bouton {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine/fr|Undo]]'''}} annule le point précédent.
 
* Appuyer sur {{KEY|ESC}} annule l'opération.
 
* La ligne nouvellement créée, adopte le [[Draft_Linestyle/fr|style de ligne]] actif.
 
<br>
 
==Plan et Style==
 
<br>
 
[[File:Draft_Style_Plan_Travail.png]] Donner un plan '''"front"''' (Le texte change suivant la sélection): <br>
 
[[File:Draft_Style_Coordonnee_XYZ.png]]<br>
 
: demande un '''"Décalage"''' par rapport aux coordonnées '''0,0,0'''.
 
: puis le choix entre un plan''' XY''' ou '''XZ''' ou '''YZ'''.
 
: ou '''"Vue"''' plan perpendiculaire par rapport au plan actuel.
 
: ou '''"Aucun"''' plan (libre).
 
[[File:Draft_Style_Mode_Construction.png]] Active ou désactive le mode construction.<br>
 
[[File:Draft_Style_Couleur_Ligne.png]] Donne la couleur à la ligne (bord).<br>
 
[[File:Draft_Style_Couleur_Face.png]] Donne la couleur de fond à la forme.<br>
 
[[File:Draft_Style_Epaisseur_Ligne.png]] Donne l'épaisseur à la ligne (bord).<br>
 
[[File:Draft_Style_Hauteur_Texte.png]] Donne la hauteur du texte de 0 à 99,99 (très utile pour les cotations).<br>
 
[[File:Draft_Style_Style.png]] Donne l'ensemble des paramètres de '''[[Draft_Apply/fr|style]]''' aux objets [[Draft_Select/fr|sélectionnés]].<br>
 
  
==Propriétés==
+
[[Image:Draft_Line_example.jpg|400px]]
===Vue combinée → Projet → Vue===
 
<br>
 
[[IMAGE:Draft_Line_fr_03.png|240px|left]]
 
{{TitreProprietes|Base}}
 
  
* {{ProprieteVue|Bounding Box}} : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
+
==How to use==
 +
# Press the {{KEY|[[Image:Draft Line.png|16px]] [[Draft Line]]}} button, or press {{KEY|L}} then {{KEY|I}} keys
 +
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
 +
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
  
* {{ProprieteVue|Control Points}} : Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
+
==Options==
 
+
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after the first point to constrain the second point on the given axis.
* {{ProprieteVue|Deviation}} :
+
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
 
+
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
* {{ProprieteVue|Display Mode}} : Mode d'affichage de la forme, '''Flat lines, Shaded, Wireframe, Points''' [[IMAGE:Vue_DisplayModePartDesign_fr_00.png|96px]]. (Défaut, '''Wireframe''').
+
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
* {{ProprieteVue|Draw Style}} : Type de ligne, '''Solid, Dashed, Dotted, Dashdot''' [[IMAGE:Vue_DrawStyle_fr_00.png‎|96px]]. (Défaut, '''Solid''').
+
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
 
+
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* {{ProprieteVue|End Arrow}} : Montre le symbole d'une flèche au dernier point du fil, donc, il peut être utilisé comme  une flèche d'annotation. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{TRUE}}). (Le modèle de flèche, est modifiable, à partir de '''Edition → Préférences → Draft''', tout comme la flèche des [[Draft_Dimension/fr#Options_2|cotations]]).
+
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
 
+
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
* {{ProprieteVue|Lighting}} : Éclairage '''One side, Two side''' [[IMAGE:Vue_Lighting_fr_00.png|96px]].  (Défaut, '''Two side''').
 
 
 
* {{ProprieteVue|Line Color}} : Donne la couleur de la ligne (bords) (Défaut, '''0, 0, 0''').
 
 
 
* {{ProprieteVue|Line Width}} : Donne l'épaisseur de la ligne (bords) (Défaut, '''1''').
 
  
* {{ProprieteVue|Point Color}} : Donne la couleur des points (extrémités de la forme) (Défaut, '''0, 0, 0''').
+
==Properties==
 +
* {{PropertyData|Start}}: The start point
 +
* {{PropertyData|End}}: The end point
  
* {{ProprieteVue|Point Size}} : Donne la dimension des points (Défaut, '''2''').
+
==Scripting==
 
+
The Line tool can by used in [[macros]] and from the python console by using the following function:
* {{ProprieteVue|Selectable}} : Autorise la sélection de la forme. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{TRUE}}).
 
 
 
* {{ProprieteVue|Shape Color}} : Donne la couleur de la forme (Défaut, '''204, 204, 204''').
 
 
 
* {{ProprieteVue|Transparency}} : Règle le degrés de transparence de la forme, de '''0''' à '''100''' (Défaut, '''0''').
 
 
 
* {{ProprieteVue|Visibility}} : Détermine la visibilité de la forme (comme la barre {{KEY|ESPACE}}). Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{TRUE}}).
 
 
 
{{TitreProprietes|Grid}}
 
 
 
* {{ProprieteVue|Grid Size}} : Modifie la dimension de la grille, (Défaut, '''10 mm''').
 
 
 
* {{ProprieteVue|Grid Snap}} : Permet l'[[Draft_Snap/fr|accrochage]] sur la grille. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
 
 
 
* {{ProprieteVue|Grid Style}} : Change le style de ligne de la grille '''Dashed''', ou '''Light''' [[IMAGE:Vue_GridStyle_fr_00.png|96px]] (Défaut, '''Dashed''').
 
 
 
* {{ProprieteVue|Show Grid}} : Permet d'afficher, ou non la grille. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
 
 
 
* {{ProprieteVue|Tight Grid}} : Affiche une grille serrée ou non. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{TRUE}}).
 
 
 
{{clear}}
 
 
 
===Vue combinée → Projet → Données===
 
<br>
 
[[File:Draft_Line_fr_04.png |240px|left]]
 
{{TitreProprietes|2D}}
 
{{TitreProprietes|Base}}
 
 
 
{{ProprieteDonnees|Closed}} : Détermine si le '''Wire''' est '''ouvert''' ou '''fermé'''. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
 
 
 
{{ProprieteDonnees|End}} : '''[10,00 0,00 0,00]''', récapitulatif des coordonnées de la fin de la ligne (dernier point)
 
 
 
{{ProprieteDonnees|Fillet Radius}} : Donne une courbe aux angles du '''Wire''' (Défaut, '''0 mm''').
 
 
 
{{ProprieteDonnees|Label}} : Nom de l'objet, modifiable à volonté.
 
 
 
{{ProprieteDonnees|Placement}} : [('''0,00 0,00 1,00''');'''0,00''';('''0,00 0,00 0,00''')], donne l'ensemble des données '''Axis, Angle''', et, '''Position''' ci dessous.<br>Si vous sélectionnez, le titre '''Placement''', un bouton avec {{KEY|trois petits points}} s'affiche [[Image:Tache_Placement_01_fr_00.png|256px|Options Placement]], en cliquant sur ce bouton {{KEY|''' ... '''}}, vous avez accès à la fenêtre d'options '''[[Tasks_Placement/fr|Tâche Placement]]'''.
 
* {{ProprieteDonnees|Angle}} : Angle de rotation par rapport aux coordonnées '''X, Y, Z'''
 
* {{ProprieteDonnees|Axis}} : Sélection de l'axe(s) de rotation de travail  '''X, Y''', ou '''Z'''.<br>Par exemple : nous déterminons un {{ProprieteDonnees|Angle}} de '''15°''', nous spécifions une valeur de '''1,0 pour x''' et '''2,0 pour y''', cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, "''' 15° dans l'axe x''' " et "''' 30° dans l'axe y''' ". (Défaut, '''Z = 1 = actif''')
 
* {{ProprieteDonnees|Position}} : Déplacement des coordonnées '''X, Y, Z''', par rapport aux points d'origine '''0, 0, 0'''.
 
 
 
{{ProprieteDonnees|Start}} : '''[0,00 0,00 0,00]''', récapitulatif des coordonnées du début de la ligne (premier point)
 
 
 
{{clear}}
 
 
 
==Script==
 
 
 
L'outil ligne peut être utilisé par la [[macros/fr|macros]] de la console Python en utilisant la fonction suivante :
 
 
<syntaxhighlight>
 
<syntaxhighlight>
makeLine (Vector, Vector)
+
{{Code|code=
 +
makeLine (Vector, Vector)
 +
}}
 
</syntaxhighlight>
 
</syntaxhighlight>
Exemple:
+
* Creates a line between the two given vectors. The current draft linewidth and color will be used.
 +
* Returns the newly created object.
 +
 
 +
Example:
 
<syntaxhighlight>
 
<syntaxhighlight>
import FreeCAD, Draft
+
{{Code|code=
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
+
import FreeCAD, Draft
 +
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
 +
}}
 
</syntaxhighlight>
 
</syntaxhighlight>
{{LesOutilsDraft}}
 
  
{{languages/fr | {{en|Draft Line}} {{es|Draft Line/es}} {{it|Draft Line/it}} {{jp|Draft Line/jp}} {{se|Draft Line/se}} }}
+
{{clear}}
 +
<languages/>

Revision as of 21:13, 3 January 2014

Draft Line.svg Draft Line

Menu location
Draft -> Line
Workbenches
Draft, Arch
Default shortcut
L I
Introduced in version
-
See also
Draft Wire


Description

The Line tool creates a straight, two-points line in the current work plane. It takes the linewidth and color previously set on the Tasks tab. The Line tool behaves exactly like the Draft Wire tool, except that it stops after two points.

Draft Line example.jpg

How to use

  1. Press the Draft Line.png Draft Line button, or press L then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.

Properties

  • DataStart: The start point
  • DataEnd: The end point

Scripting

The Line tool can by used in macros and from the python console by using the following function:

{{Code|code=
makeLine (Vector, Vector)
}}
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Example:

{{Code|code=
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
}}
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎